package it.sagelab.dynaagen.model.expr;

public class BinaryOpExpr extends Expression {

    private final Expression leftExpr;
    private final Expression rightExpr;
    private final String operator;

    public BinaryOpExpr(Expression leftExpr, Expression rightExpr, String operator) {
        this.leftExpr = leftExpr;
        this.rightExpr = rightExpr;
        this.operator = operator;
    }

    public Expression getLeftExpr() {
        return leftExpr;
    }

    public Expression getRightExpr() {
        return rightExpr;
    }

    public String getOperator() {
        return operator;
    }
}
