package it.sagelab.dynaagen.model.stmnt;

import it.sagelab.dynaagen.model.expr.Expression;

public class AssertStmnt extends Statement {

    private Expression expression;

    public AssertStmnt(Expression expression) {
        this.expression = expression;
    }

    @Override
    public void accept(StatementVisitor visitor) {
        visitor.visit(this);
    }

    public Expression getExpression() {
        return expression;
    }
}
