package it.sagelab.dynaagen.model.stmnt;

import java.util.List;

public class IfStmnt extends Statement {

    private final List<StatementSequence> options;

    public IfStmnt(List<StatementSequence> options) {
        this.options = options;
    }

    public List<StatementSequence> getOptions() {
        return options;
    }

    @Override
    public void accept(StatementVisitor visitor) {
        visitor.visit(this);
    }
}
