package it.sagelab.dynaagen.model.stmnt;

public interface StatementVisitor {

    public void visit(StatementSequence sequence);

    public void visit(AssignStmnt assignStmnt);

    public void visit(IfStmnt ifStmnt);

    public void visit(DoStmnt doStmnt);

    public void visit(ExprStatement exprStatement);

    public void visit(KeywordStmnt keywordStmnt);

    public void visit(AssertStmnt assertStmnt);

}
