package it.sagelab.dynaagen.model.expr;

public class UnaryOpExpr extends Expression {

    private final Expression expr;
    private final String op;

    public UnaryOpExpr(Expression expr, String op) {
        this.expr = expr;
        this.op = op;
    }

    public Expression getExpr() {
        return expr;
    }

    public String getOp() {
        return op;
    }
}
